http://www.perlmonks.org?node_id=577909


in reply to PPM - It's a GUI!!

Watch out for the bugs when you have more than one repository. PPM will not necessarily pick the most recent versioned module to satisfy requirements, but will rather default to just one (the first?) repository for all dependencies. Upgrading one module may reverse direction on several modules it is dependent on. I am surprised at this "more than one" infancy problem.

And speaking of dependencies, I do wish it would tell me _which_ other modules it was going to install/upgrade based on my one selected module.

The thing that is truly nice is the listing from search. Type in 'FTP' and you get a list of about 25 modules that have FTP in their names or abstracts.